org.omg.SendingContext

## Interface RunTime

All Superinterfaces:
  IDLEntity, Object, RunTimeOperations, Serializable

    public interface RunTime
    extends RunTimeOperations, Object, IDLEntity

Defines the base class that represents the Sending Context of a request. The sending context provides access to information about the runtime environment of the originator of a GIOP message. For example, when a value type is marshalled on a GIOP Request message, the receiver of the value type may need to ask the sender about the CodeBase for the implementation of the value type.

### Method Summary

### Methods inherited from interface org.omg.CORBA.Object

`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.